Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1194923

Summary: Review Request: nodejs-ava - Simple test runner
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Zuzana Svetlikova <zsvetlik>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jsmith.fedora, package-review, panemade, zsvetlik
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-28 21:17:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1030898, 1272663, 1272666, 1272667, 1272668, 1272669, 1308637, 1308641, 1308645, 1311157    
Bug Blocks: 201449, 956806    

Description Piotr Popieluch 2015-02-20 22:59:12 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-ava.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-ava-0.0.4-1.fc21.src.rpm
Description: Simple test runner
Fedora Account System Username: piotrp

nodejs-ava, nodejs-log-symbols, nodejs-set-immediate-shim and nodejs-each-async depend on each other (circular).

Comment 1 Zuzana Svetlikova 2015-05-23 16:56:46 UTC
Some comments:

- the package is missing license text, try contacting upstream or adding it yourself

- there are missing BuildRequires for dependencies (I believe this is because they depend on each other, but it would be better to just comment them out)

Comment 2 Piotr Popieluch 2015-06-18 21:33:21 UTC
upstream project seems to be dead, we don't have any packages depending on this anymore. Will park this review request for a while.

Comment 3 Piotr Popieluch 2015-09-01 20:14:16 UTC
There is a new release but it introduces many new dependencies which are not in Fedora yet.

Comment 5 Jared Smith 2015-10-22 17:23:53 UTC
I'd be happy to take over the review of this package (and its dependencies), if Zuzana is no longer able or willing to continue this review.

I've left some general comments in the review of bug 1272668 that also apply to this package and the other dependencies.

If you're like to review some of my packages in exchange, I have a large number of packages that need reviews at https://bugzilla.redhat.com/showdependencytree.cgi?id=1269538&hide_resolved=1

Comment 6 Piotr Popieluch 2015-10-22 19:42:46 UTC
This still misses modules which I haven't packaged yet. I expect one of them, babel-core, to be a bit harder to package than the regular modules. I'm short on free time at the moment. Will try to take a look at your modules this weekend.

Comment 7 Zuzana Svetlikova 2016-08-04 13:57:08 UTC
Update the package, please, so we could finish the review.

Comment 8 Piotr Popieluch 2016-08-04 20:25:36 UTC
There is still a bunch of dependencies missing in Fedora.

A quick check of ava's deps give me this list below. This is only ava, no check of the full dep-tree.  I won't be having time to package all this. If someone wants to take over feel free to do so, otherwise I will close this bug.



for module in $( npm view ava --json dependencies | jq keys | sed 's/"\(.*\)",\?/npm\(\1\)/' | grep npm ); do dnf --enablerepo=rawhide whatprovides "${module}" > /dev/null 2>&1 ; if [ "$?" -eq 1 ]; then echo "${module} not available in Fedora" ;fi; done


npm(ava-init) not available in Fedora
npm(babel-code-frame) not available in Fedora
npm(babel-core) not available in Fedora
npm(babel-plugin-ava-throws-helper) not available in Fedora
npm(babel-plugin-detective) not available in Fedora
npm(babel-plugin-espower) not available in Fedora
npm(babel-plugin-transform-runtime) not available in Fedora
npm(babel-preset-es2015) not available in Fedora
npm(babel-preset-stage-2) not available in Fedora
npm(babel-runtime) not available in Fedora
npm(caching-transform) not available in Fedora
npm(chokidar) not available in Fedora
npm(cli-cursor) not available in Fedora
npm(cli-spinners) not available in Fedora
npm(cli-truncate) not available in Fedora
npm(co-with-promise) not available in Fedora
npm(common-path-prefix) not available in Fedora
npm(convert-source-map) not available in Fedora
npm(core-assert) not available in Fedora
npm(currently-unhandled) not available in Fedora
npm(empower-core) not available in Fedora
npm(find-cache-dir) not available in Fedora
npm(has-flag) not available in Fedora
npm(ignore-by-default) not available in Fedora
npm(is-ci) not available in Fedora
npm(is-obj) not available in Fedora
npm(is-promise) not available in Fedora
npm(last-line-stream) not available in Fedora
npm(loud-rejection) not available in Fedora
npm(matcher) not available in Fedora
npm(md5-hex) not available in Fedora
npm(meow) not available in Fedora
npm(not-so-shallow) not available in Fedora
npm(observable-to-promise) not available in Fedora
npm(option-chain) not available in Fedora
npm(package-hash) not available in Fedora
npm(pkg-conf) not available in Fedora
npm(plur) not available in Fedora
npm(power-assert-formatter) not available in Fedora
npm(power-assert-renderers) not available in Fedora
npm(pretty-ms) not available in Fedora
npm(repeating) not available in Fedora
npm(require-precompiled) not available in Fedora
npm(resolve-cwd) not available in Fedora
npm(slash) not available in Fedora
npm(source-map-support) not available in Fedora
npm(time-require) not available in Fedora
npm(unique-temp-dir) not available in Fedora
npm(update-notifier) not available in Fedora

Comment 9 Piotr Popieluch 2016-09-28 21:17:12 UTC
I'm not interested in packaging this anymore, closing